Bug 508064 - installation errors when installing osad on a client
installation errors when installing osad on a client
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zázrivec
Pradeep Kilambi
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-06-25 09:01 EDT by Milan Zázrivec
Modified: 2009-09-10 16:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:38:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2009-06-25 09:01:11 EDT
Description of problem:
When installing osad-5.9.10-4 on a client system:
# rpm -i osad-5.9.10-4.el5sat.noarch.rpm 
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root

Version-Release number of selected component (if applicable):
osad-5.9.10-4 / 

How reproducible:
Always

Steps to Reproduce:
1. Install osad on a client system
  
Actual results:
Error messages produced by rpm (see above).

Expected results:
No errors.

Additional info:
# rpm -qpvl osad-5.9.10-4.el5sat.noarch.rpm |grep mock
-rwxr-xr-x    1 mockbuilmockbuil          975 Jun 18 21:01 /usr/share/rhn/osad/rhn_fcntl.py
-rwxr-xr-x    1 mockbuilmockbuil          490 Jun 18 21:01 /usr/share/rhn/osad/rhn_fcntl.pyc
-rwxr-xr-x    1 mockbuilmockbuil          490 Jun 18 21:01 /usr/share/rhn/osad/rhn_fcntl.pyo
Comment 1 Milan Zázrivec 2009-06-25 09:04:59 EDT
spacewalk.git master: cd5752bb5104f93c4db3ebe5424ef7ed8f53a856
spacewalk.git VADER: 765395589ca1dcae611a5ca4381ff4484d6b8102
Comment 2 Milan Zázrivec 2009-06-26 11:24:41 EDT
osad-5.9.10-5
Comment 4 Tomas Lestach 2009-08-25 09:43:25 EDT
# rpm -i osad-5.9.10-5.el5sat.noarch.rpm 
# rpm -qpvl osad-5.9.10-5.el5sat.noarch.rpm | grep mock
# 

Stage validated -> RELEASE_PENDING
Comment 5 Brandon Perkins 2009-09-10 16:38:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.